package main

import "fmt"

func main() {
	var x int

	x = 0
	fmt.Println(isPalindrome(x))

	x = 121
	fmt.Println(isPalindrome(x))

	x = 1221
	fmt.Println(isPalindrome(x))

	x = 1211
	fmt.Println(isPalindrome(x))

	x = 1121
	fmt.Println(isPalindrome(x))

	x = -1121
	fmt.Println(isPalindrome(x))
}

func isPalindrome(x int) bool {
	if x < 0 {
		return false
	}
	var num1, num2 = 0, x
	for num2 > 0 {
		v := num2 % 10
		num2 = num2 / 10
		num1 = num1*10 + v
	}
	return num1 == x
}
